> For the complete documentation index, see [llms.txt](https://docs.etelecom.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.etelecom.vn/api-etelecom-english/api-integration/shop/usage.md).

# Usage

## Configuration

The `api_key`following is provided and configured:

```
export API_KEY=<api_key>
export API_HOST=<base_url>
```

> Instructions for using the commands `export`and `curl`are provided when running in terminal on Linux or Mac operating systems. In case you use another environment, please replace them with equivalent operations.

## API Structure

#### Request

A typical API call looks like this:

```bison
curl $BASE_URL.Misc/CurrentAccount \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $API_KEY" \
  -d '{}'
```

All requests use HTTPS protocol, POST method and pass values ​​in body using data format `application/json`. Required headers are `Content-Type`and `Authorization`.

#### Response

The response uses the data format `application/json`set in the header `Content-Type`. If the request is successful, the HTTP status code is `200`. If the request fails, the HTTP status code can be . `4xx`or . `5xx`with a structure similar to the following:

```json
{
  "code": "invalid_argument",
  "msg": "..."
}
```

#### Common errors

**400 Bad Request**

```json
{
  "code": "invalid_argument",
  "msg": "..."
}
```

Please double check the provided values.

**401 Unauthorized**

```json
{
  "code": "unauthenticated",
  "msg": "..."
}
```

Please double check that the request includes the `Authorization:<api_key>`correct headers.

```
{
    "code": "bad_route",
    "msg": "unexpected Content-Type: \"\""
}
```

Please check the path and header again `Content-Type: application/json`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/shop/usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
